Subject: [alpine-aports] [PATCH] testing/oath-toolkit: new aport

From: Jann - Ove Risvik <[email-masked]>
Date: Mon, 4 Jul 2016 19:52:32 +0200

http://www.nongnu.org/oath-toolkit/index.html
OATH Toolkit One-time password components
---
 testing/oath-toolkit/APKBUILD | 63 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 63 insertions(+)
 create mode 100644 testing/oath-toolkit/APKBUILD

diff --git a/testing/oath-toolkit/APKBUILD b/testing/oath-toolkit/APKBUILD
new file mode 100644
index 0000000..0125ed2
--- /dev/null
+++ b/testing/oath-toolkit/APKBUILD
@@ -0,0 +1,63 @@
+# Contributor: Jann - Ove Risvik <[email-masked]>
+# Maintainer:
+pkgname=oath-toolkit
+pkgver=2.6.1
+pkgrel=0
+pkgdesc="OATH Toolkit One-time password components"
+url="http://www.nongnu.org/oath-toolkit/index.html"
+arch="all"
+license="various"
+depends=""
+depends_dev="perl cvs diffutils"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-liboath $pkgname-oathtool $pkgname-pam_oath"
+source="http://download.savannah.gnu.org/releases/oath-toolkit/oath-toolkit-${pkgver}.tar.gz"
+
+builddir="oath-toolkit-${pkgver}"
+build() {
+	cd "$srcdir/$builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--localstatedir=/var \
+		|| return 1
+	make || return 1
+	make check || 1
+}
+
+package() {
+	cd "$srcdir/$builddir"
+	make DESTDIR="$pkgdir"  install || return 1
+}
+
+liboath() {
+pkgdesc="A shared and static C library for OATH handling."
+license="LGPL2.1+"
+       mkdir -p "$subpkgdir"/usr/lib
+       mv "$pkgdir"/usr/lib/liboath.so* "$subpkgdir"/usr/lib
+}
+
+oathtool() {
+	depends="oath-toolkit-liboath"
+	pkgdesc="A command line tool for generating and validating OTPs."
+	license="GPLv3.0+"
+       mkdir -p "$subpkgdir"/usr/bin
+       mv "$pkgdir"/usr/bin/oathtool "$subpkgdir"/usr/bin
+}
+
+pam_oath() {
+        depends="oath-toolkit-liboath"
+	license="GPL3.0+"
+	pkgdesc="A PAM module for pluggable login authentication for OATH."
+       mkdir -p "$subpkgdir"/lib/security
+       mv "$pkgdir"/usr/lib/security/pam_oath.so "$subpkgdir"/lib/security
+}
+
+
+md5sums="19ee7ed7c2b40c1dc92887f893ed2726  oath-toolkit-2.6.1.tar.gz"
+sha256sums="9c57831907bc26eadcdf90ba1827d0bd962dd1f737362e817a1dd6d6ec036f79  oath-toolkit-2.6.1.tar.gz"
+sha512sums="59feadbc06d11a52bf5879493227c40358fc1f4f17ec3ff92e3a313e47b92f3154396fa3ff38ef163852b32c8bfcef1f59753b614d0138478b8f7e7971f55e62  oath-toolkit-2.6.1.tar.gz"
-- 
2.8.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---